# IMA - God classes project

## Xerces2

- Download: https://dlcdn.apache.org//xerces/j/source/Xerces-J-src.2.12.2.zip
- extract and rename folder to `xerces2`

## Running

### Part 3: clustering and silhouette metric

To compute optimal k-means and agglomerative clusterings using silhouette 
validation for all classes run:

```shell
./silhouette.py --validate --autorun
```

To compute k-means or agglomerative clustering for a specific number of 
clusters `K` and a specific class `KLASS` run respectively:

```shell
./k_means.py KLASS K
```

```shell
./hierarchical.py KLASS K
```

Then, to check their silhouette metric run:

```shell
./silhouette.py
```

## Install dependencies

```shell
# create venv
python -m venv env
source env/bin/activate

pip3 install -r requirements.txt
```
